Assign Users to Test Pull Requests
POST/api/v5/repos/:owner/:repo/pulls/:number/testers
Request
Path Parameters
owner stringrequired
Repository space address (organization or individual's address path)
repo stringrequired
Repository path (path)
number integerrequired
The ordinal number of the PR in this repository, i.e., which PR it is.
Example: 0
Query Parameters
access_token stringrequired
User authorization code
- application/json
Body
testersstringrequired
User's personal space address, separated by commas
addboolean
"Is new tester added", true will add a new tester, false will cover and update the tester, default false
Responses
- 200
Successful Response
Response Headers
- application/json
- Schema
- Example (auto)
- 1
- 2
Schema
- Array [
- ]
idinteger
loginstring
namestring
avatar_urlstring
[
{
"id": 0,
"login": "string",
"name": "string",
"avatar_url": "string"
}
]
Successful Example
{
"id": 43,
"login": "green",
"name": "green",
"avatar_url": "https://gitcode-img.obs.cn-south-1.myhuaweicloud.com:443/be/fb/7b9e393fbd80ca315dec249f2be6e6a7378f591609b6525798bc6d95abedc992.png?time=1712128581171"
}
Successful Example
{
"id": 452,
"login": "zhanghq2",
"name": "zhanghq2"
}